View Issue Details

IDProjectCategoryView StatusLast Update
15005Bug reports[All Projects] Central participant databasepublic2019-07-04 17:14
Reportervisionit Assigned Top_teichmann  
PrioritynoneSeveritycrash 
Status resolvedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary15005: Viewing Central Participant database results in error when using Postgres
Description

When viewing the Central Participant database after creating a Central Participant, the application (with Postgres) crashes with:

CDbCommand failed to execute the SQL statement: SQLSTATE[42883]: Undefined function: 7 ERROR: operator does not exist: character varying = integer
LINE 1: ...73b-0d74423e4fd9' AND (share_uid = 1 AND can_edit = 1) LIMIT...
^
HINT: No operator matches the given name and argument type(s). You might need to add explicit type casts.

Steps To Reproduce
  1. Create fresh Limesurvey instance (version 3.17.5+190604) with a Postgres Database (postgres 10)
  2. Go to Configuration -> Central participant database -> Add new participant.
  3. Add the new participant
  4. Go to Configuration -> Central participant database
Additional Information

Reproducable with docker-compose file: https://github.com/martialblog/docker-limesurvey/blob/master/docker-compose.pgsql.yml

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.5+190604
I will donate to the project if issue is resolvedNo
BrowserMozilla Firefox 67.0.4
Database & DB-Versionpostgres (PostgreSQL) 10.9 (Debian 10.9-1.pgdg90+1)
Server OS (if known)Debian 9.9 x86_64 4.15.0-52-generic
Webserver software & version (if known)Apache 2.4.25-3+deb9u6
PHP VersionPHP 7.2.16 (cli) (built: Mar 27 2019 01:46:25) ( NTS )

Activities

p_teichmann

p_teichmann

2019-07-03 14:26

administrator   ~52690

fixed in https://github.com/LimeSurvey/LimeSurvey/commit/6c6f350774974ce6b6bab514c50d54cbded78598

visionit

visionit

2019-07-04 17:14

reporter   ~52736

Awesome! Thanks

Issue History

Date Modified Username Field Change
2019-06-26 16:56 visionit New Issue
2019-07-01 11:08 ollehar Assigned To => p_teichmann
2019-07-01 11:08 ollehar Status new => assigned
2019-07-03 14:26 p_teichmann Status assigned => resolved
2019-07-03 14:26 p_teichmann Resolution open => fixed
2019-07-03 14:26 p_teichmann Fixed in Version => 3.17.x
2019-07-03 14:26 p_teichmann Note Added: 52690
2019-07-04 17:14 visionit Note Added: 52736